%define anolis_release 2

Name:           libwpe
Version:        1.14.0
Release:        %{anolis_release}%{?dist}
Summary:        General-purpose library for the WPE-flavored port of WebKit
License:        BSD
URL:            https://github.com/WebPlatformForEmbedded/%{name}
Source0:        https://github.com/WebPlatformForEmbedded/libwpe/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/WebPlatformForEmbedded/libwpe/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        gpgkey-5AA3BC334FD7E3369E7C77B291C559DBE4C9123B.gpg

BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  meson
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(xkbcommon)

%description
General-purpose library developed for the WPE-flavored port of WebKit

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1 -n libwpe-%{version}

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libwpe-1.0.so.1.*
%{_libdir}/libwpe-1.0.so.1
%{abidir}/libwpe-1.0.dump

%files doc
%doc NEWS docs/*

%files devel
%{_includedir}/wpe-1.0/
%{_libdir}/libwpe-1.0.so
%{_libdir}/pkgconfig/wpe-1.0.pc

%changelog
* Mon Mar 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.14-0-2
- optimize spec

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.0-1
- update to 1.14.0

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.12.0-1
- Init from upstream version 1.12.0

